# Entries and status (deprecated)
[Working copy management]

* More...

## Data Structures
struct | svn_wc_entry_t
| A working copy entry -- that is, revision control information about one versioned entity. More...
## Defines
#define | SVN_WC_ENTRY_WORKING_SIZE_UNKNOWN (-1)
| Values for the working_size field in svn_wc_entry_t when it isn't set to the actual size value of the unchanged working file.
#define | SVN_WC_ENTRY_THIS_DIR ""
| How an entries file's owner dir is named in the entries file.
## Typedefs
typedef enum svn_wc_schedule_t | svn_wc_schedule_t
| The schedule states an entry can be in.
typedef struct svn_wc_entry_t | svn_wc_entry_t
| A working copy entry -- that is, revision control information about one versioned entity.
## Enumerations
enum | svn_wc_schedule_t { svn_wc_schedule_normal, svn_wc_schedule_add, svn_wc_schedule_delete, svn_wc_schedule_replace }
| The schedule states an entry can be in. More...
## Functions
svn_error_t * | svn_wc_entry (const svn_wc_entry_t **entry, const char *path, svn_wc_adm_access_t *adm_access, svn_boolean_t show_hidden, apr_pool_t *pool)
| Set *entry to an entry for path, allocated in the access baton pool.
svn_error_t * | svn_wc_entries_read (apr_hash_t **entries, svn_wc_adm_access_t *adm_access, svn_boolean_t show_hidden, apr_pool_t *pool)
| Parse the `entries' file for adm_access and return a hash entries, whose keys are (`const char *`) entry names and values are (`svn_wc_entry_t *`).
svn_wc_entry_t * | svn_wc_entry_dup (const svn_wc_entry_t *entry, apr_pool_t *pool)
| Return a duplicate of entry, allocated in pool.

## Detailed Description

*

## Define Documentation

#define SVN_WC_ENTRY_THIS_DIR ""

How an entries file's owner dir is named in the entries file.

Deprecated:
  Provided for backward compatibility with the 1.6 API.

Definition at line 2940 of file svn_wc.h.

#define SVN_WC_ENTRY_WORKING_SIZE_UNKNOWN (-1)

Values for the working_size field in svn_wc_entry_t when it isn't set to the actual size value of the unchanged working file.

The value of the working size is unknown (hasn't been calculated and stored in the past for whatever reason).

Since:
  New in 1.5

Deprecated:
  Provided for backward compatibility with the 1.6 API.

Definition at line 2694 of file svn_wc.h.

## Typedef Documentation

typedef struct svn_wc_entry_t svn_wc_entry_t

A working copy entry -- that is, revision control information about one versioned entity.

Deprecated:
  Provided for backward compatibility with the 1.6 API.

typedef enum svn_wc_schedule_t svn_wc_schedule_t

The schedule states an entry can be in.

Deprecated:
  Provided for backward compatibility with the 1.6 API.

## Enumeration Type Documentation

enum svn_wc_schedule_t

The schedule states an entry can be in.

Deprecated:
  Provided for backward compatibility with the 1.6 API.

Enumerator:

  svn_wc_schedule_normal | Nothing special here.
  svn_wc_schedule_add | Slated for addition.
  svn_wc_schedule_delete | Slated for deletion.
  svn_wc_schedule_replace | Slated for replacement (delete + add).

Definition at line 2666 of file svn_wc.h.

## Function Documentation

svn_error_t* svn_wc_entries_read | ( | apr_hash_t ** | entries,
|  | svn_wc_adm_access_t * | adm_access,
|  | svn_boolean_t | show_hidden,
|  | apr_pool_t * | pool |
| ) |  |  |

Parse the `entries' file for adm_access and return a hash entries, whose keys are (`const char *`) entry names and values are (`svn_wc_entry_t *`).

The hash entries, and its keys and values, are allocated from the pool used to open the adm_access baton (that's how the entries caching works). pool is used for transient allocations.

Entries that are in a 'excluded', 'deleted' or 'absent' state (and not scheduled for re-addition) are not returned in the hash, unless show_hidden is TRUE. Excluded entries are those with their depth set to svn_depth_exclude.

Important:
  The entries hash is the entries cache in adm_access and so usually the hash itself, the keys and the values should be treated as read-only. If any of these are modified then it is the caller's responsibility to ensure that the entries file on disk is updated. Treat the hash values as type (`const svn_wc_entry_t *`) if you wish to avoid accidental modification. Modifying the schedule member is a particularly bad idea, as the entries writing process relies on having access to the original schedule. Use a duplicate entry to modify the schedule.

Important:
  Only the entry structures representing files and SVN_WC_ENTRY_THIS_DIR contain complete information. The entry structures representing subdirs have only the `kind' and `state' fields filled in. If you want info on a subdir, you must use this routine to open its path and read the SVN_WC_ENTRY_THIS_DIR structure, or call svn_wc_entry() on its path.

Deprecated:
  Provided for backward compatibility with the 1.6 API.

svn_error_t* svn_wc_entry | ( | const svn_wc_entry_t ** | entry,
|  | const char * | path,
|  | svn_wc_adm_access_t * | adm_access,
|  | svn_boolean_t | show_hidden,
|  | apr_pool_t * | pool |
| ) |  |  |

Set *entry to an entry for path, allocated in the access baton pool.

If show_hidden is TRUE, return the entry even if it's in 'excluded', 'deleted' or 'absent' state. Excluded entries are those with their depth set to svn_depth_exclude. If path is not under revision control, or if entry is hidden, not scheduled for re-addition, and show_hidden is `FALSE`, then set *entry to `NULL`.

*entry should not be modified, since doing so modifies the entries cache in adm_access without changing the entries file on disk.

If path is not a directory then adm_access must be an access baton for the parent directory of path. To avoid needing to know whether path is a directory or not, if path is a directory adm_access can still be an access baton for the parent of path so long as the access baton for path itself is in the same access baton set.

path can be relative or absolute but must share the same base used to open adm_access.

Note that it is possible for path to be absent from disk but still under revision control; and conversely, it is possible for path to be present, but not under revision control.

Use pool only for local processing.

Deprecated:
  Provided for backward compatibility with the 1.6 API.

svn_wc_entry_t* svn_wc_entry_dup | ( | const svn_wc_entry_t * | entry,
|  | apr_pool_t * | pool |
| ) |  |  |

Return a duplicate of entry, allocated in pool.

No part of the new entry will be shared with entry.

Deprecated:
  Provided for backward compatibility with the 1.6 API.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines